/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "action.h"
#include "../../../libs.h"
#include "../../../display/animation/queue.h"
#include "../pokerworld.h"

/** Callback when the look action starts. */
void _pokerGameActionLookOnStart(
  queue_t *queue, queueaction_t *action, uint8_t i
);

/**
 * Queues a look action to the poker game. 
 * 
 * @param game Game to add to.
 * @param playerIndex The player index to look at.
 * @return The queued action.
 */
queueaction_t * pokerGameActionLookAdd(pokergame_t *game, uint8_t playerIndex);